﻿@model StarterProjectV2.Models.SlotInfo
@{
    ViewBag.Title = "Slot Create";
}
@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
        
}
@section FOOTERJS{
    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>

}

<div class="row justify-content-center ">
    <div class="card col-12">
        <div class="card-body">
            <h1 class="text-center mb-5" style="color:indianred">Slot Create Form</h1>
            <p class="text-muted"></p>

            @using (Html.BeginForm("SlotAddorEdit", "Slot", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
            {
                @*@Model.FromDate
                @Model.ToDate*@
                <div class="form-group row mb-3">
                    @*@Html.LabelFor(m => m.SlotName, new { @class = "col-sm-3 col-lg-2 col-md-3  col-form-label" })*@
                    <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Slot Name</label>
                    <div class="col-sm-3 col-lg-3 col-md-3">
                        @Html.TextBoxFor(m => m.SlotName, new { @class = "form-control", placeholder = "Slot Name", type = "text" })
                    </div>
                </div>


                <div class="form-group row mb-3">

                    @*@Html.LabelFor(m => m.FromDate, new { @class = "col-sm-3 col-lg-2 col-md-3 col-form-label" })*@
                    <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">From Date</label>
                    <div class="col-sm-3 col-lg-3 col-md-3">
                        @Html.TextBoxFor(m => m.FromDate,
                            new { @class = "form-control input-group date", placeholder = "From Date", type = "month" })
                    </div>
                </div>
                <div class="form-group row mb-3">

                    @*@Html.LabelFor(m => m.ToDate, new { @class = "col-sm-3 col-lg-2 col-md-3 col-form-label" })*@
                    <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">To Date</label>
                    <div class="col-sm-3 col-lg-3 col-md-3">
                        @Html.TextBoxFor(m => m.ToDate,
                            new { @class = "form-control", placeholder = "To Date", type = "month" })
                    </div>
                </div>

                <div class="form-group row mb-3">
                    @*@Html.LabelFor(m => m.SlotOtherDefinitions, new { @class = "col-sm-3 col-lg-2 col-md-3 col-form-label" })*@
                    <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Slot Other Definitions</label>
                    <div class="col-sm-3 col-lg-3 col-md-3">
                        @Html.TextBoxFor(m => m.SlotOtherDefinitions, new { @class = "form-control", placeholder = "Slot Other Definitions", type = "text" })
                    </div>
                </div>

                @Html.HiddenFor(m => m.SlotId, new { @id = "SlotId" })

                <div class="row">
                    <div>
                        <button type="submit" class="btn btn-primary m-1">Submit</button>
                    </div>
                    <div>
                        <button type="button" class="btn btn-danger m-1">Reset</button>
                    </div>
                </div>
            }
        </div>
    </div>
</div>


@*<div class="input-append date" id="datepicker" data-date="01-2019"
     data-date-format="dd-mm-yyyy">

    <input type="text" name="date">
    <span class="add-on"><i class="icon-th"></i></span>
</div>
<script type="text/javascript">
    $("#datepicker").datepicker({
        viewMode: 'years',
        format: "mm-yyyy",
        startView: "months",
        minViewMode: "months"
    });
</script>*@

<script>
    $(document).ready(function () {
        $("#newItem").remove();

        $("#editItem").remove();
        $("#saveItem").remove();
        $("#deleteItem").remove();
        $('#printItem').click(function () {
            window.print();
        });

        $('#reloadItem').click(function () {
            location.reload();
        });
        $("#reportItem").remove();
        $("#dashboardItem").click(function () {
            //document.location = 'Url.Action("ExportExcel", "OwnersInfo")';
        });
    });

</script>